#include "mbed.h"
#include "SPI.h" 
Serial pc(USBTX, USBRX);
SPI spi(PA_7, PA_6, PA_5); // mosi, miso, sclk
DigitalOut cs(PA_4);
int main() {
    int ch;
    int data;
 while(1){   
    // Chip must be deselected
    cs = 1;

    // Setup the spi for 8 bit data, high steady state clock,
    // second edge capture, with a 1MHz clock rate
    spi.format(16,0);
    spi.frequency(18000000);

 
    // Select the device by seting chip select low
    cs = 0;
 
    // Send 0x8f, the command to read the WHOAMI register
    spi.write(0x16F);
 
    // Send a dummy byte to receive the contents of the WHOAMI register
    int whoami = spi.write(0x00FF);
    printf("WHOAMI register = 0x%X\n", whoami);
 
    // Deselect the device
    cs = 1;
    
 pc.printf("Ecrire dans le registre ADC(1)\n\n");
 pc.printf("Mettre a jour le registre ADC(2)\n\n");
 pc.printf("Ecrire et mettre a jour le registre ADC(3)\n\n");
 pc.printf("Ecrire et mettre a jour le registre ADC(4)\n\n");
 pc.printf("Reinitialiser la mise sous tension (5)\n\n");
 scanf("%d",&ch); 
 switch(ch){
     case 01:
     pc.printf("Quel pourcentage de voltage (0-65535) ?\n");
     scanf("%d",&data); 
      spi.write(0x00F); // on veut envoyer l'information 0000
     spi.write(data);//on envoie la data
     spi.write(0x00); 
     break;
     case 02: spi.write(0x00FF); // on veut envoyer l'information 0001
     break;
     case 03: spi.write(0x00FF); //on veut envoyer l'information 0010
     break;
     case 04: spi.write(0x00FF); //on veut envoyer l'information 0100
     break;
     case 05: spi.write(0x00FF); //on veut envoyer l'info 0111
     break;
     default: pc.printf("Aucune valeur reconnue\n");
     }
    }
}